Skip to main content

Project - List

Purpose​

Retrieve a list of Projects which your API Credentials have access to. This JSON response includes Project data and a count of the number of Credits attached to it (in case you need to run a subsequent request to get Credits Resources.

Request​

Endpoint

GET /projects

Authentication

Include your API Key within the x-api-key header as described here.

Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

ParameterTypeDefinition
pageintThe page number of the results you want (set to 1, if not provided)
internal_idsstringcomma seperated list of your internal string ids (optional)
idsstringcomma seperated list of Incentify integer ids (optional)

Request Body

Do not provide a request body when calling this method.

Response​

If successful, this method returns a response body with the following structure:

Response Body

{
"code":200,
"success":true,
"data": [
Project Resources listed here... (See "Project - Overview" page)
],
"errors": [],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "[path_to_endpoint]",
"per_page": 50,
"to": 10,
"total": 10
},
"links": {
"first": "[path_to_endpoint]?page=1",
"last": "[path_to_endpoint]?page=1",
"prev": null,
"next": null
}
}

Properties

The following table defines the properties that appear in this resource:

KeyTypeDefinition
codeintegerHTTP Status Code (ie; 200, 403, etc).
successbooleanEither true (success) or false (fail).
datalistList of Projects returned. The data structure of each Project is a Project Resource.
errorsobjectIf the request fails, this will contain information about the error.
metaobjectContains information about pagination and total record count.
linksobjectContains pre-built links for forward/backward pagination.